#!/bin/bash -x

# TARGET=a6e-gw-container
# CONTAINER_VERSION=x.x.x
# TAR_ARCHIVE=${TARGET}-image.tar
# RELEASE_SWU=${TARGET}-${CONTAINER_VERSION}.swu
export DL_URL=https://download.atmark-techno.com/armadillo-iot-a6e/image/${TARGET}-latest.swu

set_variables(){
for VAL in "${@}"; do
  [[ -v $VAL ]] || exit
done
}

check_variables(){
	set_variables TARGET TAR_ARCHIVE CONTAINER_VERSION RELEASE_SWU DL_URL
}

create_update_swu(){
	echo "===== mkdir release and copy====="
	mkdir -p release/
	cat common_head.desc update.desc common.desc |  MKSWU_FAIL=1 ./$GT/mkswu/mkswu.sh -o ${RELEASE_SWU} - || exit
  ./$GT/mkswu/mkswu.sh --show ${RELEASE_SWU}
	md5sum ${RELEASE_SWU} > ${RELEASE_SWU}.md5 || exit
	cp ${RELEASE_SWU}* release/ || exit
}

check_variables
create_update_swu


